clear
u bbg96_72

*Generate a balanced panel
egen noj=count(dtfp5),by(sic)
egen cc=count(dtfp5),by(year)

*Measure cross-sectional spread
egen sd=sd(dtfp5),by(year)
replace year=year+1900
so year
keep if year~=year[_n-1]
so year
sa industry,replace

*Now insheet the stock-market volatility data
clear
insheet using vardata.csv
keep year volatbl
*Going down to quartery to match to the quarterly profits data
collapse volatbl,by(year)
so year
merge year using industry

*Normalizing to 1 SD units
egen _volatbl=sd(volatbl)
gen xvolatbl=volatbl/_volatbl
egen _sd=sd(sd)
gen xsd=sd/_sd

reg xvolatbl xsd 
reg xvolatbl xsd year

