
*Testing using monthly data (see Barndorff-Nielsen and Shephard, 2004, for details)
clear
u volatbl_m
so ym
qui gen dvolatbl=volatbl-volatbl[_n-1]
qui gen dvolatbl1=volatbl[_n-1]-volatbl[_n-2]
qui gen dvolatbl2=volatbl[_n-2]-volatbl[_n-3]
qui gen dvolatbl3=volatbl[_n-3]-volatbl[_n-4]
qui gen _mus=(0.79788)^-2
qui gen theta=0.6090

*G test
qui egen qv  =sum(dvolatbl^2)
qui egen qvbp=sum(abs(dvolatbl)*abs(dvolatbl1))
qui egen qvqp=sum(abs(dvolatbl)*abs(dvolatbl1)*abs(dvolatbl2)*abs(dvolatbl3))
qui gen statG=(_mus*qvbp-qv)/(_mus*qvqp^(1/2)*theta)
qui gen temp=(_mus*qvbp-qv)
*H test
qui gen statH=(_mus*qvbp/qv - 1)/(theta*(qvqp/qvbp^2)^(1/2))

******
*P-VALUE FOR PRESENCE OF JUMPS IN MONTHLY DATA 
di normal(statH)
di normal(statG)
******

*Testing using the daily data
insheet using vxo.csv,c names clear
qui gen vol=real(close)
qui gen dvol=vol-vol[_n-1]
qui gen dvol1=vol[_n-1]-vol[_n-2]
qui gen dvol2=vol[_n-2]-vol[_n-3]
qui gen dvol3=vol[_n-3]-vol[_n-4]
qui gen _mus=(0.79788)^-2
qui gen theta=0.6090

*G test
qui egen qv  =sum(dvol^2)
qui egen qvbp=sum(abs(dvol)*abs(dvol1))
qui egen qvqp=sum(abs(dvol)*abs(dvol1)*abs(dvol2)*abs(dvol3))
qui gen statG=(_mus*qvbp-qv)/(_mus*qvqp^(1/2)*theta)
qui gen temp=(_mus*qvbp-qv)
*H test
qui gen statH=(_mus*qvbp/qv - 1)/(theta*(qvqp/qvbp^2)^(1/2))

******
*P-VALUE FOR PRESENCE OF JUMPS IN DAILY DATA 
di normal(statH)
di normal(statG)
******

